function y=Cpl_tuy(u);

% ******************* EXPLICATIONS ************************

% u est un vecteur d'entre  8 composantes multiplexes 7+1
% u(1:7) issu du systme, plus u(8)=temps 
% SEUIL PHI = phimax
% ton et top sont connues aprs l'initialisation
% La sortie est de 3 entiers K=O ou K=1 qui commande un switch
%                            top
%                            ecart_temps

% **********************************************************

 global phimax couple_tuyere temps ton top Ir It Il K ecart_temps

 
% ---------------------------------------------------------- 
% CAS DE LA DETECTION phi>phimax, top et K sont 0 ton est le temps
% de dbut d'allumage tuyre, ton a la valeur prcdente au dpart
% et ensuite valeur calcule 

ton_calcul=ton;
K_calcul=K;


if abs(u(1))>phimax & K==0,
   K_calcul=sign(u(1)-phimax);
   ecart_temps=pi/(abs(u(7))/(Ir*Il)^0.5);   % Demi priode T2 de nutation
   ton_calcul=u(8);
end

% Le premier coup de tuyre a t donn et K vaut 1 ou -1, top est  1, il
% faut attendre une demi priode de nutation pour donner le deuxime coup de tuyre
% aprs peu importe le couple restera nul jusqu' la prochaine dtection
% On se remet donc  zro en top et K

if abs(u(1))<=phimax & abs(K)==1 & u(8)>=ton+ecart_temps+10,
    K_calcul=0;
end

K=K_calcul;
ton=ton_calcul;
y=[K;top;ton;ecart_temps;u(8)];  % Sortie qui commande le switch

end   % ***************  FIN DU PROGRAMME  *************************